# Get Model Version By Alias

`GET /api/2.1/unity-catalog/models/{full_name_arg}/aliases/{alias_arg}`

Get a model version by alias.

 The caller must be a metastore admin or an owner of (or have the **EXECUTE**
 privilege on) the registered model. For the latter case, the caller must also be the owner
 or have the **USE_CATALOG** privilege on the parent catalog and the **USE_SCHEMA** privilege
 on the parent schema.

API scopes: unity-catalog

## Path parameters

- `full_name_arg` (string, optional)
  The three-level (fully qualified) name of the registered model
- `alias_arg` (string, optional)
  The name of the alias

## Query parameters

- `include_aliases` (boolean, optional)
  Whether to include aliases associated with the model version in the response

## Returns

- `model_name` (string, optional)
  The name of the parent registered model of the model version, relative to parent schema
- `catalog_name` (string, optional)
  The name of the catalog containing the model version
- `schema_name` (string, optional)
  The name of the schema containing the model version, relative to parent catalog
- `source` (string, optional)
  URI indicating the location of the source artifacts (files) for the model version
- `comment` (string, optional)
  The comment attached to the model version
  Constraints: `[ 1 .. 65536 ] characters`
- `run_id` (string, optional)
  MLflow run ID used when creating the model version, if ``source`` was generated by an
                             experiment run stored in an MLflow tracking server
- `run_workspace_id` (int64, optional)
  ID of the <Databricks> workspace containing the MLflow run that generated this model
               version, if applicable
- `model_version_dependencies` (object, optional)
  Model version dependencies, for feature-store packaged models
  - `dependencies` (array of object, optional)
    Array of dependencies.
    - `table` (object, required)
      - `table_full_name` (string, optional)
        Full name of the dependent table, in the form of __catalog_name__.__schema_name__.__table_name__.
    - `function` (object, required)
      - `function_full_name` (string, optional)
        Full name of the dependent function, in the form of __catalog_name__.__schema_name__.__function_name__.
    - `connection` (object, required)
      - `connection_name` (string, optional)
        Full name of the dependent connection, in the form of __connection_name__.
    - `credential` (object, required)
      - `credential_name` (string, optional)
        Full name of the dependent credential, in the form of __credential_name__.
- `status` (string, optional)
  Current status of the model version. Newly created model versions start in
               PENDING_REGISTRATION status, then move to READY status once the model version files are uploaded and
               the model version is finalized. Only model versions in READY status can be loaded for inference or
               served.
  Possible values: `MODEL_VERSION_STATUS_UNKNOWN`, `PENDING_REGISTRATION`, `FAILED_REGISTRATION`, `READY`
- `version` (int64, optional)
  Integer model version number, used to reference the model version in API requests.
- `storage_location` (string, optional)
  The storage location on the cloud under which model version data files are stored
- `metastore_id` (string, optional)
  The unique identifier of the metastore containing the model version
- `created_at` (int64, optional)
- `created_by` (string, optional)
  The identifier of the user who created the model version
- `updated_at` (int64, optional)
- `updated_by` (string, optional)
  The identifier of the user who updated the model version last time
- `id` (string, optional)
  The unique identifier of the model version
- `aliases` (array of object, optional)
  List of aliases associated with the model version
  - `alias_name` (string, optional)
    Name of the alias, e.g. 'champion' or 'latest_stable'
  - `version_num` (int64, optional)
    Integer version number of the model version to which this alias points.
  - `id` (string, optional)
    The unique identifier of the alias
  - `model_name` (string, optional)
    The name of the parent registered model of the model version, relative to parent schema
  - `catalog_name` (string, optional)
    The name of the catalog containing the model version
  - `schema_name` (string, optional)
    The name of the schema containing the model version, relative to parent catalog

## Response

```json
{
  "model_name": "string",
  "catalog_name": "string",
  "schema_name": "string",
  "source": "string",
  "comment": "string",
  "run_id": "string",
  "run_workspace_id": 0,
  "model_version_dependencies": {
    "dependencies": [
      {}
    ]
  },
  "status": "string",
  "version": 0,
  "storage_location": "string",
  "metastore_id": "string",
  "created_at": 0,
  "created_by": "string",
  "updated_at": 0,
  "updated_by": "string",
  "id": "string",
  "aliases": [
    {
      "alias_name": "string",
      "version_num": 0,
      "id": "string",
      "model_name": "string",
      "catalog_name": "string",
      "schema_name": "string"
    }
  ]
}
```

